Retrieve Loan Transaction Template
/lokta-lms/api/v1/loans/{loanId}/transactions/templateThis is a convenience resource. It can be useful when building maintenance user interface screens for client applications. The template data returned consists of any or all of:
Field Defaults
Allowed Value Lists
Example Requests:
loans/1/transactions/template?command=repaymentloans/1/transactions/template?command=merchantIssuedRefundloans/1/transactions/template?command=payoutRefundloans/1/transactions/template?command=goodwillCredit
loans/1/transactions/template?command=waiveinterest
loans/1/transactions/template?command=writeoff
loans/1/transactions/template?command=close-rescheduled
loans/1/transactions/template?command=close
loans/1/transactions/template?command=disburse
loans/1/transactions/template?command=disburseToSavings
loans/1/transactions/template?command=recoverypayment
loans/1/transactions/template?command=prepayLoan
loans/1/transactions/template?command=refundbycash
loans/1/transactions/template?command=refundbytransfer
loans/1/transactions/template?command=foreclosure
loans/1/transactions/template?command=interestPaymentWaiver
loans/1/transactions/template?command=creditBalanceRefund (returned 'amount' field will have the overpaid value)
loans/1/transactions/template?command=charge-off
loans/1/transactions/template?command=downPayment
loans/1/transactions/template?command=interest-refund
Path parameters
loanIdpath · integer · int64 · requiredloanId
Query parameters
commandquery · string · optionalcommand
dateFormatquery · string · optionaldateFormat
transactionDatequery · object · optionaltransactionDate
localequery · string · optionallocale
transactionIdquery · integer · int64 · optionaltransactionId
Responses
200OKResponse fields
amountnumber · double · optionalchargeOffReasonOptionsarray of GetLoanProductsChargeOffReasonOptions · optionalclassificationOptionsarray of GetCodeValuesDataResponse · optionalcurrencyGetLoanCurrency · optionaldatestring · date · optionalfeeChargesPortionnumber · double · optionalinterestPortionnumber · double · optionalnetDisbursalAmountnumber · double · optionalpaymentTypeOptionsarray of GetPaymentTypeOptions · optionalpenaltyChargesPortionnumber · double · optionalprincipalPortionnumber · double · optionaltotalGetLoansTotal · optionaltypeGetLoansTransactionType · optionalEvery request authenticates with HTTP Basic and carries a Tenant-Identifier header. See the conventions for dates, commands, pagination and errors.
Open this operation in the interactive explorer, or read it as Markdown.